
\begin{tikzpicture}[rotate=90, scale=0.45]
\coordinate (A) at (0,0);
\coordinate (E) at (0.5,0.5);
\coordinate (F) at (0,0.5);
\coordinate (G) at (0.5,0);
\coordinate (B) at (4,0);
\coordinate (D) at (0,5.66);
\coordinate (C) at (3.47,6);
%\draw (B) circle (6);
%\draw (D) circle (3.46);
\coordinate (H) at (2.97,5.5);
\coordinate (I) at (2.97,6);
\coordinate (J) at (3.47,5.5);
    \draw (C) -- (J) -- (H) -- (I);
    \draw (D) -- (A) -- (B);% -- (nodeD);
    \draw (A) -- (F) -- (E) -- (G);
    \draw (B) -- (C) -- (D);
    \draw (A) -- (B) node [midway, right] (EdgeAB) {$2$};
    \draw (A) -- (D) node [midway, below] (EdgeAD) {$x$};
    \draw (D) -- (C) node [midway, left] (EdgeAD) {$\sqrt{3}$};
    \draw (C) -- (B) node [midway, above] (EdgeAD) {$3$};
    \draw (A) node [below] {A};
    \draw (B) node [above] {B};
    \draw (D) node [below] {D};
    \draw (C) node [above] {C};
%pic[fill=red,angle radius=4mm]{right angle=D--A--B}
% \tkzMarkRightAngle[draw=red,size=1](D,A,B);
\end{tikzpicture}